package com.myoa.engineering.crawl.ppomppu.processor.service;

import com.myoa.engineering.crawl.ppomppu.processor.domain.PpomppuArticle;
import com.myoa.engineering.crawl.ppomppu.processor.infrastructure.repository.PpomppuArticleRepository;
import com.myoa.engineering.crawl.ppomppu.processor.infrastructure.repository.PpomppuBoardFeedStatusRepository;
import java.util.List;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

@Slf4j
@Service
public class PpomppuArticleService {

    private final PpomppuArticleRepository ppomppuArticleRepository;

    private final PpomppuBoardFeedStatusRepository ppomppuBoardFeedStatusRepository;

    public PpomppuArticleService(PpomppuArticleRepository ppomppuArticleRepository,
                                 PpomppuBoardFeedStatusRepository ppomppuBoardFeedStatusRepository) {
        this.ppomppuArticleRepository = ppomppuArticleRepository;
        this.ppomppuBoardFeedStatusRepository = ppomppuBoardFeedStatusRepository;
    }

    public void save(List<PpomppuArticle> articles) {
        // TODO get latest parsed article id
        // TODO filter articles

        ppomppuArticleRepository.saveAll(articles);
    }
}
